'use strict';

var _typeof = require('@babel/runtime/helpers/typeof');
var _freeGlobal = require('./_freeGlobal.js');

/** Detect free variable `self`. */
var freeSelf = (typeof self === "undefined" ? "undefined" : _typeof(self)) == 'object' && self && self.Object === Object && self;

/** Used as a reference to the global object. */
var root = _freeGlobal || freeSelf || Function('return this')();
var root$1 = root;

module.exports = root$1;
